Subject: Question Regarding Crimson King Maple Trees

From: [email-masked] (Bears GM)
Date: 30 May 1995 13:38:40 -0400

I have planted my fourth Crimson King Maple and have no luck establishing
it.  The leaves become motled (small holes) and the entire tree eventually
dies.  I tried everything, planted it according to directions, fertilized
it, you name it.  All other trees that I have planted are thriving except
this particular one.  

Is this type of tree different from the rest?  Any information would be
helpful on successfully planting this type of maple tree.  The Crimson
Maple is native to my area, Northern Illinois.

George
[email-masked]